First Last Prev Next    No search results available      Search page      Enter new bug
Bug#: 120615
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Gentoo Games <games@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Ivan Yosifov <iyosifov@gmail.com>
Add CC:
CC:
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 120615 depends on: Show dependency tree
Show dependency graph
Bug 120615 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)







View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2006-01-28 02:20 0000
home ~ $ grep '^RDEPEND' /usr/portage/games-fps/duke3d/duke3d-20040817.ebuild
RDEPEND="virtual/x11
home ~ $

Please fix.

Portage 2.1_pre4 (default-linux/x86/2005.1, gcc-3.4.5, glibc-2.3.6-r2,
2.6.15-gentoo-r1 i686)
=================================================================
System uname: 2.6.15-gentoo-r1 i686 Intel(R) Pentium(R) 4 CPU 3.20GHz
Gentoo Base System version 1.6.14
dev-lang/python:     2.4.2
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1-r1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r3
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -mtune=pentium4 -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.5/env
/usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/3/share/config
/usr/share/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/env.d/java/ /etc/gconf /etc/java-config/vms/
/etc/splash /etc/terminfo /etc/texmf/web2c /etc/env.d"
CXXFLAGS="-O2 -march=pentium4 -mtune=pentium4 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://gentoo.ITDNet.net/gentoo"
LANG="en_US.utf8"
LC_ALL="en_US.utf8"
LINGUAS="en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/obelix /usr/local/portage/axxo/axxo-overlay
/usr/local/portage/axxo/obelix"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X aac acl alsa apache2 avi bash-completion berkdb bitmap-fonts bonobo
cairo cdr crypt cups dbus doc dri dvd dvdr dvdread eds emboss encode fam
firefox foomaticdb gdbm gif glitz glut gnome gpm gstreamer gtk gtk2 gtkhtml hal
ithreads javascript jpeg kde kdeenablefinal libg++ libwww logrotate mad mikmod
mmap mmx motif mp3 mpeg ncurses nls nptl nsplugin nvidia ogg oggvorbis opengl
pam pdf pdflib perl pic plotutils png pthreads python qt quicktime readline sdl
session sharedmem spell sqlite sse sse2 ssl symlink tcpd threads tidy truetype
truetype-fonts type1-fonts unicode usb vcd vorbis win32codecs xml2 xprint xv
xvmc zlib elibc_glibc kernel_linux linguas_en userland_GNU"
Unset:  ASFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, LDFLAGS

------- Comment #1 From Chris Gianelloni (RETIRED) 2006-01-28 06:44:21 0000 -------
Got a patch?

As it stands there are 3 games developers and still almost 200 games that need
porting.  We're well aware of which they are, but really need assistance in
getting them patched.  filing bugs telling us which they are without patches
doesn't really help us at this point.  I know that you did not know this, so
I'm not being rude or anything, just trying to point this out so you know in
the future and don't go filing 190 more bugs... :P

------- Comment #2 From UncleOwen 2006-01-28 08:00:30 0000 -------
Patch is simple, just drop the virtual/x11 dependency. It only links against
sdl.

------- Comment #3 From Ivan Yosifov 2006-01-28 14:24:21 0000 -------
> Got a patch?

Given `ldd /usr/games/bin/duke3d.bin` I think it is: 

--- /usr/portage/games-fps/duke3d/duke3d-20040817.ebuild        2005-06-23
19:05:38.000000000 +0300
+++ ./duke3d-20040817.ebuild    2006-01-29 00:12:11.000000000 +0200
@@ -21,7 +21,15 @@
 KEYWORDS="x86 ppc hppa"
 IUSE="hardened perl opengl" # nophysfs"

-RDEPEND="virtual/x11
+RDEPEND="|| (
+                               (
+                                       x11-libs/libXau
+                                       x11-libs/libX11
+                                       x11-libs/libXext
+                                       x11-libs/libXdmcp
+                               )
+                               virtual/x11
+                       )
        media-libs/libsdl
        media-libs/sdl-mixer
        media-sound/timidity++

There might be some redundant deps there but at least I think it is correct.

> just trying to point this out so you know in
> the future and don't go filing 190 more bugs... :P
IIRC spyderous wants porting bugs filed for the sake of statistic, also IIRC
the  X team is willing to help with fixing deps if the need araises. 
So please don't hate me if I file 190 porting bugs :P

------- Comment #4 From Mr. Bones. 2006-01-28 15:10:05 0000 -------
fixed.

First Last Prev Next    No search results available      Search page      Enter new bug